Error after upgrading to lates revision (13915) 

2015-01-19 05:17 - ChunChang (Nagaharu) Lo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The error message is as follows:

[root@linode redmine]# rake db:migrate RAILS_ENV="production" --trace

rake aborted!

NameError: uninitialized constant ActionView::Helpers::ActiveModelHelper

/usr/local/share/gems/gems/actionview-4.2.0/lib/action_view/helpers.rb:40:in `<module:Helpers>'

/usr/local/share/gems/gems/actionview-4.2.0/lib/action_view/helpers.rb:4:in `<module:ActionView>'

/usr/local/share/gems/gems/actionview-4.2.0/lib/action_view/helpers.rb:3:in `<top (required)>'

/usr/local/share/gems/gems/actionview-4.2.0/lib/action_view/base.rb:5:in `<top (required)>'

/usr/local/share/gems/gems/actionview-4.2.0/lib/action_view/view_paths.rb:1:in `<top (required)>'

/usr/local/share/gems/gems/actionpack-4.2.0/lib/abstract_controller/rendering.rb:4:in `<top (requi

red)>'

/usr/local/share/gems/gems/actionpack-4.2.0/lib/action_controller/base.rb:204:in `<class:Base>'

/usr/local/share/gems/gems/actionpack-4.2.0/lib/action_controller/base.rb:164:in `<module:ActionCo

ntroller>'

/usr/local/share/gems/gems/actionpack-4.2.0/lib/action_controller/base.rb:5:in `<top (required)>'

/usr/local/share/gems/gems/actionpack-action_caching-1.1.1/lib/action_controller/action_caching.rb

:13:in `<top (required)>'

/usr/local/share/gems/gems/actionpack-action_caching-1.1.1/lib/actionpack/action_caching.rb:1:in `

require'

/usr/local/share/gems/gems/actionpack-action_caching-1.1.1/lib/actionpack/action_caching.rb:1:in `

<top (required)>'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler/runtime.rb:85:in `require'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler/runtime.rb:85:in `rescue in block in require

'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler/runtime.rb:68:in `block in require'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler/runtime.rb:61:in `each'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler/runtime.rb:61:in `require'

/usr/local/share/gems/gems/bundler-1.7.12/lib/bundler.rb:134:in `require'

/var/www/html/redmine/config/application.rb:5:in `<top (required)>'

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in `require'

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in `require'

/var/www/html/redmine/Rakefile:5:in `<top (required)>'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/rake_module.rb:28:in `load'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/rake_module.rb:28:in `load_rakefile'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:689:in `raw_load_rakefile'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:94:in `block in load_rakefile'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:176:in `standard_exception_handling

'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:93:in `load_rakefile'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:77:in `block in run'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:176:in `standard_exception_handling

'

/usr/local/share/gems/gems/rake-10.4.2/lib/rake/application.rb:75:in `run'

/usr/local/share/gems/gems/rake-10.4.2/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:23:in `load'

/usr/local/bin/rake:23:in `<main>'

I have no idea about how to fix this.

Help please.
History

#1 - 2015-01-26 02:44 - ChunChang (Nagaharu) Lo

the problem seemed to be caused by rbpdf,

after upgrading to version 1.18.5 the problem is gone.

#2 - 2015-01-26 03:44 - Toshi MARUYAMA

- Status changed from New to Closed

Thank you for your feedback.
